/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.model.language;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * For BeanShell expressions and predicates
 *
 * @deprecated use {@link org.apache.camel.model.language.LanguageExpression} will be removed in Camel 2.0
 * @version $Revision: 1540 $
 */
@XmlRootElement(name = "beanshell")
public class BeanShellExpression extends ExpressionType {
    public BeanShellExpression() {
    }

    public BeanShellExpression(String expression) {
        super(expression);
    }

    public String getLanguage() {
        return "beanshell";
    }
}
